summaryrefslogtreecommitdiffstats
path: root/games/SameBoy
diff options
context:
space:
mode:
author Hunter Sezen2018-03-09 22:23:55 +0100
committer Willy Sudiarto Raharjo2018-03-10 01:11:04 +0100
commit529e0ffd324732a11a02448c2fdc32a07728aba1 (patch)
tree4ef8ea977a3c0290ff8fdef4abbfed3fa9a16f5e /games/SameBoy
parentbb3a734fe9fc97c4f37bcdc12e07688527d981e2 (diff)
downloadslackbuilds-529e0ffd324732a11a02448c2fdc32a07728aba1.tar.gz
games/SameBoy: Added (Gameboy and Gameboy Color emulator).
This replaces SameBoy-libretro. Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/SameBoy')
-rw-r--r--games/SameBoy/README11
-rw-r--r--games/SameBoy/SameBoy.SlackBuild139
-rw-r--r--games/SameBoy/SameBoy.info12
-rw-r--r--games/SameBoy/slack-desc19
4 files changed, 181 insertions, 0 deletions
diff --git a/games/SameBoy/README b/games/SameBoy/README
new file mode 100644
index 0000000000..0219f866b2
--- /dev/null
+++ b/games/SameBoy/README
@@ -0,0 +1,11 @@
+SameBoy is an open source Game Boy (DMG) and Game Boy Color (CGB) video
+game system emulator that can be used with its own SDL frontend or as a
+libretro core.
+
+RetroArch is an optional dependency required to run the libretro core.
+SDL2 is an optional dependency required to build the SDL frontend.
+
+At least one optional dependency is required to use SameBoy.
+
+To build the debugging symbols use:
+ DEBUG=1 ./SameBoy.SlackBuild
diff --git a/games/SameBoy/SameBoy.SlackBuild b/games/SameBoy/SameBoy.SlackBuild
new file mode 100644
index 0000000000..dd997a60e9
--- /dev/null
+++ b/games/SameBoy/SameBoy.SlackBuild
@@ -0,0 +1,139 @@
+#!/bin/sh
+
+# Slackware build script for SameBoy
+
+# Copyright 2017-2018 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SameBoy
+LIBNAM=$(printf %s $PRGNAM | tr 'A-Z' 'a-z')_libretro
+SRCNAM=${LIBNAM%%_*}
+VERSION=${VERSION:-2018.03.02_6e8567e}
+RGBVERS=${RGBVERS:-0.3.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/rgbds-$RGBVERS.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "${DEBUG:=0}" != 0 ]; then
+ CONF=debug
+ DEBUG=1
+else
+ CONF=release
+fi
+
+PATH="$TMP/$PRGNAM-$VERSION/rgbds-$RGBVERS/bin:$PATH"
+ln -s "$TMP/$PRGNAM-$VERSION/build/bin/BootROMs" BootROMs/prebuilt
+
+make -C rgbds-$RGBVERS Q=
+make -C rgbds-$RGBVERS install Q= \
+ PREFIX=. \
+ DESTDIR=./
+
+if pkg-config --exists sdl2; then
+ make CONF=$CONF
+ mkdir -p $PKG/usr/games $PKG/usr/share/games
+ cp -av build/bin/SDL $PKG/usr/share/games/$SRCNAM
+
+# SameBoy SDL doesn't work with FHS paths yet
+# https://github.com/LIJI32/SameBoy/issues/39
+cat > $PKG/usr/games/$SRCNAM <<EOF
+#!/bin/sh
+set -euf
+CWD="\$(pwd)"
+cd /usr/share/games/$SRCNAM
+
+if [ "\${1:-}" ]; then
+ case "\$1" in
+ /* ) ./$SRCNAM "\$1" ;;
+ * ) ./$SRCNAM "\$CWD/\$1" ;;
+ esac
+else
+ ./$SRCNAM
+fi
+EOF
+
+ chmod 0755 $PKG/usr/games/$SRCNAM
+else
+ make bootroms
+fi
+
+make -C libretro DEBUG=$DEBUG GIT_VERSION="${VERSION#*_}"
+
+install -Dm0644 build/bin/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ $DEBUG = 0 ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/SameBoy/SameBoy.info b/games/SameBoy/SameBoy.info
new file mode 100644
index 0000000000..8b99389bce
--- /dev/null
+++ b/games/SameBoy/SameBoy.info
@@ -0,0 +1,12 @@
+PRGNAM="SameBoy"
+VERSION="2018.03.02_6e8567e"
+HOMEPAGE="https://sameboy.github.io/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/SameBoy-2018.03.02_6e8567e.tar.xz \
+ https://github.com/rednex/rgbds/releases/download/v0.3.5/rgbds-0.3.5.tar.gz"
+MD5SUM="db24b227e3b86f8ef91bb3d56b8ae032 \
+ 1223ce301bcf7067f2dd16d60afdf8f7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/SameBoy/slack-desc b/games/SameBoy/slack-desc
new file mode 100644
index 0000000000..502cc6e13d
--- /dev/null
+++ b/games/SameBoy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SameBoy: SameBoy (Gameboy and Gameboy Color emulator)
+SameBoy:
+SameBoy: SameBoy is an open source Gameboy (DMG) and Gameboy Color (CGB)
+SameBoy: emulator, written in portable C.
+SameBoy:
+SameBoy: Homepage: https://sameboy.github.io/
+SameBoy:
+SameBoy:
+SameBoy:
+SameBoy:
+SameBoy: